Package org.apache.sling.repoinit.filevault.validator

## Class RepoInitValidator

- java.lang.Object
- - org.apache.sling.repoinit.filevault.validator.RepoInitValidator

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.validation.spi.DocumentViewXmlValidator`, `org.apache.jackrabbit.vault.validation.spi.GenericJcrDataValidator`, `org.apache.jackrabbit.vault.validation.spi.Validator`

    public class RepoInitValidator
    extends Object
    implements org.apache.jackrabbit.vault.validation.spi.DocumentViewXmlValidator, org.apache.jackrabbit.vault.validation.spi.GenericJcrDataValidator

### Constructor Summary

Constructors
`RepoInitValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage>` `done()`
`boolean` `shouldValidateJcrData​(@NotNull Path filePath, @NotNull Path basePath)`
`@Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage>` `validate​(@NotNull org.apache.jackrabbit.vault.util.DocViewNode2 node, @NotNull org.apache.jackrabbit.vault.validation.spi.NodeContext nodeContext, boolean isRoot)`
`@Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage>` `validateJcrData​(@NotNull InputStream input, @NotNull Path filePath, @NotNull Path basePath, @NotNull Map<String,​Integer> nodePathsAndLineNumbers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jackrabbit.vault.validation.spi.DocumentViewXmlValidator

`validate, validate, validateEnd, validateEnd`

### Methods inherited from interface org.apache.jackrabbit.vault.validation.spi.GenericJcrDataValidator

`shouldValidateJcrData, validateJcrData`

### Constructor Detail

#### RepoInitValidator

    public RepoInitValidator()

### Method Detail

#### done

    @Nullable
    public @Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage> done()

Specified by:
  `done` in interface `org.apache.jackrabbit.vault.validation.spi.Validator`

#### validate

    @Nullable
    public @Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage> validate​(@NotNull
                                                                                                       @NotNull org.apache.jackrabbit.vault.util.DocViewNode2 node,
                                                                                                       @NotNull
                                                                                                       @NotNull org.apache.jackrabbit.vault.validation.spi.NodeContext nodeContext,
                                                                                                       boolean isRoot)

Specified by:
  `validate` in interface `org.apache.jackrabbit.vault.validation.spi.DocumentViewXmlValidator`

#### validateJcrData

    @Nullable
    public @Nullable Collection<org.apache.jackrabbit.vault.validation.spi.ValidationMessage> validateJcrData​(@NotNull
                                                                                                              @NotNull InputStream input,
                                                                                                              @NotNull
                                                                                                              @NotNull Path filePath,
                                                                                                              @NotNull
                                                                                                              @NotNull Path basePath,
                                                                                                              @NotNull
                                                                                                              @NotNull Map<String,​Integer> nodePathsAndLineNumbers)
                                                                                                       throws IOException

Specified by:
  `validateJcrData` in interface `org.apache.jackrabbit.vault.validation.spi.GenericJcrDataValidator`
Throws:
  `IOException`

#### shouldValidateJcrData

    public boolean shouldValidateJcrData​(@NotNull
                                         @NotNull Path filePath,
                                         @NotNull
                                         @NotNull Path basePath)

Specified by:
  `shouldValidateJcrData` in interface `org.apache.jackrabbit.vault.validation.spi.GenericJcrDataValidator`